import { IQuery, IQueryOptions } from './query';
import { Scraper, ScraperOptions } from './Scraper';
/**
 * Main class
 * @extends EventEmitter
 * @param options {ScraperOptions} Puppeteer browser options, for more informations see https://pptr.dev/#?product=Puppeteer&version=v2.0.0&show=api-puppeteerlaunchoptions
 * @constructor
 */
declare class LinkedinScraper extends Scraper {
    private _runStrategy;
    private _browser;
    private _context;
    private _state;
    /**
     * @constructor
     * @param {ScraperOptions} options
     */
    constructor(options: ScraperOptions);
    /**
     * Initialize browser
     * @private
     */
    private _initialize;
    /**
     * Build jobs search url
     * @param {string} query
     * @param {string} location
     * @param {IQueryOptions} options
     * @returns {string}
     * @private
     */
    private _buildSearchUrl;
    /**
     * Scrape linkedin jobs
     * @param {IQuery | IQuery[]} queries
     * @param {IQueryOptions} [options]
     * @return {Promise<void>}
     * @private
     */
    private _run;
    /**
     * Scrape linkedin jobs
     * @param {IQuery | IQuery[]} queries
     * @param {IQueryOptions} [options]
     * @return {Promise<void>}
     */
    run: (queries: IQuery | IQuery[], options?: IQueryOptions) => Promise<void>;
    /**
     * Close browser instance
     * @returns {Promise<void>}
     */
    close: () => Promise<void>;
}
export { LinkedinScraper };
